4. Additional Functions
4.1. SendEmail - Resend a notification mail
POST
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
POST
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API resends a notification mail that contains the information with the latest status of an e-Tax invoice.
- When using this API, each mail can be sent to a single recipient email address and there is no limit number or holding time for multiple API calls.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Content-Type | Y | Request body format application/json |
|
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-HTTP-Method-Override | Y | Request method override EMAIL |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| receiver | string | - | Y | Receiver email address |
Request Example
curl --request POST \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--header 'X-HTTP-Method-Override: EMAIL' \
--data '{
"receiver": "test@test.com"
}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "이메일 재전송 완료"
}
4.2. AssignMgtKey - Assign a document ID
POST
https://popbill-test.linkhub.co.kr/Taxinvoice/{ItemKey}/{MgtKeyType}
POST
https://popbill.linkhub.co.kr/Taxinvoice/{ItemKey}/{MgtKeyType}
- This API manually assigns a document ID to e-Tax invoice issued in POPBiLL service website.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Content-Type | Y | Request body format application/x-www-form-urlencoded; charset=utf-8 |
|
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemKey | string | 18 | Y |
Identification number assigned by POPBiLL
check the returned value of {itemKey} of TaxinvoiceInfo via [Search - Search the list of e-Tax invoices] API.
|
|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y |
Document ID
a unique value that can be entered with alphanumeric values and special characters(‘-’, ‘_’)
|
Request Example
curl --request POST \
--url 'https://{domain}/Taxinvoice/{ItemKey}/{MgtKeyType}' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/x-www-form-urlencoded; charset=utf-8' \
--data-urlencode 'MgtKey=TEST0001'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "할당 완료"
}
